#ifndef CARDBITMAP_INCLUDED
#define CARDBITMAP_INCLUDED

#ifdef __cplusplus
extern "C" {
#endif

BOOL LoadCardBitmaps(int *pcardwidth, int *pcardheight);
void FreeCardBitmaps();
void CardBlt(HDC hdc, int x, int y, int nCardNum);

//	52 card faces + 16 card backs
#define MAX_CARD_BITMAPS (52 + 16)

//
//	Rank:  1 - 13  (Ace-King)
//	Suit:  0 - 3   (Clubs-Spades).
//	
#define MAKE_CARD(Rank, Suit) ((Rank - 1) * 4 + Suit)

//
//	Suit values
//
#define suClubs		0
#define suDiamons	1
#define suHearts	2
#define suSpades	3


//
//	Use this card indices to draw the card-backs
//	Note that these are 1-less than the values used
//	for the cdt_xxx functions
//
#define cbCROSSHATCH  52
#define cbWEAVE1      53
#define cbWEAVE2      54
#define cbROBOT       55
#define cbFLOWERS     56
#define cbVINE1       57
#define cbVINE2       58
#define cbFISH1       59
#define cbFISH2       60
#define cbSHELLS      61
#define cbCASTLE      62
#define cbISLAND      63
#define cbCARDHAND    64
#define cbUNUSED      65
#define cbTHE_X       66
#define cbTHE_O       67

#ifdef __cplusplus
}
#endif

#endif